ion-toolbar {
  text-align: center;
}

ion-content {
  --background: transparent;
}

ion-grid {
  @media(min-width: 420px) {
    max-width: 500px;
  }
}

.ion-cols {
  height: 85px;
}

.main-bg-container {
  background: url("/assets/kallatel-bg.png") !important;
  --background: unset;
  background-position-x: -600px !important;
  --background-repeat: no-repeat;
  ion-item {
    border: none !important;
    border-bottom-color: transparent !important;
    --border: none !important;
    --border-bottom-color: none !important;
  }
  .item-inner {
    border: none !important;
    border-color: transparent !important;
    border-bottom-color: transparent !important;
    --border: none !important;
    --border-bottom-color: none !important;
  }
}

ion-popover {

  ion-content {
    ion-list {
      position: relative;
    }
  }
}

ion-header {
  ion-text {
    font-weight: bold;
  }
}

ion-content {
  ion-text {
    color: white;
    width: 100%;
    text-align: center;
    display: block;
    text-shadow: 2px 2px 5px #2a2a2a;
    &.ferry-name {
      font-size: 30px !important;
    }
    &.temp {
      margin-top: 5px;
      font-size: 52px !important;
      text-align: right;
    }
    &.weather-name {
      font-size: 14px;
      margin-bottom: 10px;
    }
    &.high-and-low {
      font-size: 18px;
    }
  }
}

.weathericon {
  //display: block;
  margin-left: auto;
  margin-right: auto;
  text-align: left;
  width: 85px;
  height: 85px;
}

.menu-content-open {
  pointer-events: auto !important;
}

.tiles {
  text-align: left;
  &.top-row {
     margin-top: 0px;
  }
  .tile-container {
    ion-img {
      max-width: 28vw;
      margin: 0 auto;
      @media(min-width: 420px) {
        max-width: 115px;
      }
    }
    .blue-tile {
      padding: 20px 10px;
      height: 180px;
      width: 100%;
      border-radius: 15px;
      background: inherit;
      position: relative;
      z-index: 1;
      overflow: hidden;
      @media(min-width: 320px) {
        height: 150px;
      }
      @media(min-width: 350px) {
        height: 170px;
      }
      @media(min-width: 400px) {
        height: 180px;
      }
      &:before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        box-shadow: inset 52px 59px 69px 75px rgba(255, 255, 255, 1);
        filter: blur(3px);
        background: inherit;
        z-index: -1;
      }
      .tile-icon {
        color: #3d6db5;
        span {
          top: -3px;
          left: 3px;
          position: relative;
        }
      }
      .tile-body {
        margin-left: 3px;
        color:#3d6db5;
        .tile-header {
          margin-top: 5px;
          font-size: 20px;
          text-align: center;
          font-weight: bold;
          color: #3d6db5;
        }
        .tile-subhead {
          font-size: 24px;
          color: #3d6db5;
        }
        .tile-footer {
          font-size: 18px;
          color: #3d6db5;
        }
        .text-line {
          color: #3d6db5;
        }
      }
      &.not-in-service {
        background: repeating-linear-gradient(
            160deg,
            #C6C6C6,
            #C6C6C6 50px,
            #B4B4B4 50px,
            #B4B4B4 70px
        );
      }
      .big-icon {
        text-align: center;
        margin-top: 15px;
        color: #3d6db5;
        ion-icon {
          @media(min-width: 320px) {
            font-size: 22vw;
          }
          @media(min-width: 420px) {
            font-size: 88px;
          }
        }
      }
      .pegal-footer {
        text-align: center;
        font-size: 18px;
        font-weight: bold;
        color: #3d6db5;
        margin-top: 0px;
        @media(min-width: 340px) {
          margin-top: 2px;
        }
        @media(min-width: 360px) {
          margin-top: 2px;
        }
        @media(min-width: 380px) {
          margin-top: 4px;
        }
        @media(min-width: 420px) {
          margin-top: 6px;
        }
      }
    }
  }
}
.img-container {
  text-align: center;
  //width: 100%;
  position: relative;
  img {
    height: 130px;
  }

  .main-arrow {
    transform: rotate(0deg); // Change this to change the angle
    position: absolute;
    height: 100%;
    padding-top: 5px;
    top: 0;
    left: 47%;
  }
  .arrow-down {
    top: 18px;
    width: 0;
    height: 0;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-bottom: 30px solid #3d6db5;
    position: relative;
  }
}
.text-container {
  text-align: center;
  div {
    display: inline-block;
    &.meters {
      @media(min-width: 320px) {
        margin-right: 10px;
      }
      @media(min-width: 350px) {
        margin-right: 25px;
      }

    }

    &.speed {
      font-size: 18px;
    }
  }
  span {
    font-weight: bold;
  }
}

